
#include "korners_server.h"
#include "korners_socket.h"

#include <KDebug>


KornersServer::KornersServer( KornersSocket* socket, QObject* parent ) : QTcpServer(parent)
{
    m_socket = socket;
    m_bClientConnected = false;
}

void KornersServer::incomingConnection(int descriptor)
{
    if( !m_bClientConnected )
    {
        if( m_socket->setSocketDescriptor( descriptor ) )
        {
            m_bClientConnected = true; 
	    kDebug() << "socket descriptor set";
        }
        else
        {
            kDebug() << "socket error";
        }
    }
    else
    {
        kDebug() << "unexpected connection";
    }
}

void KornersServer::startListen(int port)
{
    listen( QHostAddress::Any, port );
}

